summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-03-18 06:40:01 +0000
committerZac Medico <zmedico@gentoo.org>2006-03-18 06:40:01 +0000
commit9ad6b03a18a8585d3000c249064c3619f211973b (patch)
tree0d830803d7d77476d5b0cbda5516daf6c86212fa /bin/ebuild.sh
parente6c616e0adf2fe895dc837710468f6eb622b2780 (diff)
downloadportage-9ad6b03a18a8585d3000c249064c3619f211973b.tar.gz
portage-9ad6b03a18a8585d3000c249064c3619f211973b.tar.bz2
portage-9ad6b03a18a8585d3000c249064c3619f211973b.zip
Fix PORTAGE_WORKDIR_MODE so that 0700 is correctly substituted when PORTAGE_WORKDIR_MODE is unset or null.
svn path=/main/trunk/; revision=2933
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 5bc3a6c37..92f8ca1e9 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -689,7 +689,7 @@ dyn_unpack() {
fi
if [ ! -d "${WORKDIR}" ]; then
- install -m${PORTAGE_WORKDIR_MODE-0700} -d "${WORKDIR}" || die "Failed to create dir '${WORKDIR}'"
+ install -m${PORTAGE_WORKDIR_MODE:-0700} -d "${WORKDIR}" || die "Failed to create dir '${WORKDIR}'"
fi
cd "${WORKDIR}" || die "Directory change failed: \`cd '${WORKDIR}'\`"
echo ">>> Unpacking source..."